<?
//********************************************************
//* Gestion consigne temprature RDC                 V02 *
//******************************** V. Recipon 2016-08-06 *
//********************************************************
$id_day_phase = getArg('dayphase');
$id_consigne = getArg('consigne');
$id_thermostat = getArg('thermostat'); 
$id_chauffage = getArg('chauffage');
$id_activite = getArg('activite');

$day_phase = getValue($id_day_phase);
$consigne = getValue($id_consigne);
$thermostat = getValue($id_thermostat);
$chauffage = getValue($id_chauffage);
$activite = getValue($id_activite);

// Sortie des valeurs pour debug
echo "Statut Pice :<br>";
echo "  - Phase du jour : ".$day_phase['value']."<br>";
echo "  - Consigne : ".$consigne['value']."<br>";
echo "  - Thermostat : ".$thermostat['value']."<br>";
echo "  - Mode de Chauffage : ".$chauffage['value']."<br>";
echo "  - Dtection d'activit dans la pice : ".$activite['value']."<br>";


//--------------------------------------------------------
//----- Dfinition des valeurs pour les arguments    -----
//--------------------------------------------------------

// Valeurs phase du jour
$val_pyjama=0;
$val_reveil=10;
$val_presence=20;
$val_absence=40;
$val_retour=45;
$val_soiree=50;
$val_nuit=60;
$val_abs_prolongee=70;

//--------------------------------------------------------
//----- Gestion du chauffage                         -----
//--------------------------------------------------------
$settemp = $consigne['value'];

echo "Analyse besoin chauffage :<br>";

if ($chauffage['value'] == 0)
{
	echo "  > Chauffage teint<br>";

	$settemp = 7;
}
else if ($chauffage['value'] == 200)
{
	echo "  > Chauffage marche force<br>";

	$settemp = 30;
}
else
{
	echo "|-> Chauffage allum.<br>";
	
	if ($day_phase['value'] == $val_abs_prolongee)
	{
		echo "|---> Absence prolonge ou porte ouverte <br>";
		$settemp = 12;
	}
	else if ($day_phase['value'] == $val_nuit)
	{
		echo "|-----> Nuit <br>";
		$settemp = $consigne['value']-1;
	}
	else if ($day_phase['value'] == $val_absence)
	{
		echo "|-----> Absence<br>";
		$settemp = $consigne['value']-0.5;
	}
	else if ($day_phase['value'] == $val_reveil OR $day_phase['value'] == $val_retour)
	{
		echo "|-----> Rveil / retour <br>";
		$settemp = $consigne['value'];

	}
	else
	{
		echo "|-----> prsence / soire <br>";
		if ($activite['value'] == 0)
		{
			echo "|-------> Pas d'activit dans la pice <br>";
			$settemp = $consigne['value']-0.25;
		}
		else
		{
			echo "|-------> Activit dans la pice <br>";
			$settemp = $consigne['value'];
		}
	}
}

echo "<br>";
echo "Nouvelles consignes :<br>";

// On met  jour les valeurs des priphriques
// seulement si il y a eu changement, cela vite les interactions avec d'autres actions ventuelles sur les mme priphriques (des macros en cours par exemple)

if ($settemp != $thermostat['value']) 
{
	setValue($id_thermostat, $settemp);
	echo "  - Thermostat : ".$settemp." (Changement)<br>";		
}
else 
	echo "  - Thermostat : ".$settemp." (Pas de changement)<br>";	
	
?>